> ## Documentation Index
> Fetch the complete documentation index at: https://api.aodocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get libraryv1beta1 personfields

> Lists the person fields information used in every document class in the library. If documentId is set, the response will contain person fields' values.



## OpenAPI

````yaml /openapis/library.json get /library/v1beta1/{libId}/personFields
openapi: 3.0.1
info:
  description: "The AODocs REST API exposes most of the features of AODocs. It can be used to implement custom applications, third-party integration, bulk tools, or\n\t\t\t\t\t\t\t\t\t\tjust to experiment with AODocs."
  version: '69.4'
  title: AODocs REST API
servers:
  - url: https://aodocs.altirnao.com/api
security: []
tags:
  - name: library
    description: >-
      Lets you list existing libraries, create new libraries, get storage
      account e-mail (beta version, subject to change)
paths:
  /library/v1beta1/{libId}/personFields:
    get:
      tags:
        - library
      description: >-
        Lists the person fields information used in every document class in the
        library. If documentId is set, the response will contain person fields'
        values.
      operationId: library:v1beta1.Library.listPersonFieldsInfo
      parameters:
        - $ref: '#/components/parameters/libId_path_parameter'
        - name: classId
          in: query
          description: The ID of the document class
          required: false
          schema:
            type: string
        - name: documentId
          in: query
          description: The ID of the document
          required: false
          schema:
            type: string
        - name: includeTransitionUsage
          in: query
          description: >-
            Whether the list of transitions in which person fields are
            referenced (via role in transitions) should be returned
          required: false
          schema:
            type: boolean
            default: false
        - $ref: '#/components/parameters/domain_query_parameter'
        - $ref: '#/components/parameters/securityCode_query_parameter'
      responses:
        '200':
          description: A ApiDocumentClassAndPersonFieldsList response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiDocumentClassAndPersonFieldsList'
      security:
        - google_id_token-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
        - google_id_token_legacy-a99f12e0:
            - https://www.googleapis.com/auth/userinfo.email
components:
  parameters:
    libId_path_parameter:
      name: libId
      in: path
      description: The ID of the library
      required: true
      schema:
        type: string
    domain_query_parameter:
      name: domain
      in: query
      description: The G Suite domain
      required: false
      schema:
        type: string
    securityCode_query_parameter:
      name: securityCode
      in: query
      description: The security code
      required: false
      schema:
        type: string
  schemas:
    ApiDocumentClassAndPersonFieldsList:
      type: object
      properties:
        documentClassesAndPersonFields:
          type: array
          items:
            $ref: '#/components/schemas/ApiDocumentClassAndPersonFields'
        kind:
          type: string
        systemPersonFields:
          type: array
          items:
            $ref: '#/components/schemas/ApiPersonField'
    ApiDocumentClassAndPersonFields:
      type: object
      properties:
        documentClass:
          $ref: '#/components/schemas/ApiBaseDocumentClass'
        personFields:
          type: array
          items:
            $ref: '#/components/schemas/ApiPersonField'
    ApiPersonField:
      type: object
      properties:
        id:
          type: string
          description: The ID of the field
        kind:
          type: string
        name:
          type: string
          description: The name of the field
        name_i18n:
          type: string
          description: The internationalized name of the field (read-only field)
        system:
          type: boolean
          description: >-
            Indicates whether this field is a system field or not (read-only
            field)
        usedInTransitions:
          type: array
          items:
            $ref: '#/components/schemas/ApiStateTransition'
        values:
          type: array
          items:
            $ref: '#/components/schemas/ApiSecurityToken'
    ApiBaseDocumentClass:
      type: object
      properties:
        defaultClass:
          type: boolean
        id:
          type: string
        name:
          type: string
        name_i18n:
          type: string
    ApiStateTransition:
      type: object
      properties:
        commentPolicy:
          type: string
          enum:
            - FORBIDDEN
            - OPTIONAL
            - MANDATORY
        condition:
          type: string
        fromStateId:
          type: string
        fromStateName:
          type: string
        fromStateName_i18n:
          type: string
        id:
          type: string
        kind:
          type: string
        mandatoryComment:
          type: boolean
        name:
          type: string
        name_i18n:
          type: string
        parallel:
          type: boolean
        targetStateId:
          type: string
        targetStateName:
          type: string
        targetStateName_i18n:
          type: string
        validators:
          type: array
          items:
            $ref: '#/components/schemas/ApiValidator'
        value:
          type: string
        workflowId:
          type: string
    ApiSecurityToken:
      type: object
      properties:
        classId:
          type: string
          description: The ID of the class when type = FIELD
        className:
          type: string
          description: The name of the class when type = FIELD
        description:
          type: string
          description: The description for type in GROUP, ROLE, FIELD
        displayName:
          type: string
          description: >-
            The display name of the user or group, the name of the role
            (read-only field)
        displayName_i18n:
          type: string
          description: >-
            The display name of the user or group, the internationalized name of
            the role (read-only field)
        thumbnailPictureUrl:
          type: string
          description: The URL of the thumbnail picture (especially for users)
        type:
          type: string
          description: >-
            The type of person (user, group, role, field based, domain i.e.
            everybody)
          enum:
            - USER
            - GROUP
            - ROLE
            - FIELD
            - DOMAIN
        value:
          type: string
          description: >-
            The email address if user or group, the ID of the role, the ID of
            the class/field (ignored if type = DOMAIN)
    ApiValidator:
      type: object
      properties:
        kind:
          type: string
        user:
          $ref: '#/components/schemas/ApiBaseUserProfile'
        validated:
          type: boolean
    ApiBaseUserProfile:
      type: object
      properties:
        email:
          type: string
          description: The email of the user
        kind:
          type: string
        name:
          type: string
          description: The displayed name of the user
        nonGoogle:
          type: boolean
          description: This user is not a google user
        thumbnailPictureUrl:
          type: string
          description: The URL of the thumbnail picture of the user
  securitySchemes:
    google_id_token-a99f12e0:
      type: oauth2
      x-google-issuer: https://accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address
    google_id_token_legacy-a99f12e0:
      type: oauth2
      x-google-issuer: accounts.google.com
      x-google-jwks_uri: https://www.googleapis.com/oauth2/v1/certs
      x-google-audiences: >-
        755040865326-h5gomu85549lkh2qf9d3lku39vnaf6ii.apps.googleusercontent.com,563231141203-231sn7f6ptedncun5h00h7ktbe3o2nd5.apps.googleusercontent.com,993707107224.apps.googleusercontent.com,ao-docs,aodocs-core-eu-1,ao-docs-staging,ao-docs-dev,aodocs-core-dev-us,aodocs-total-poc-euw3
      flows:
        implicit:
          authorizationUrl: https://accounts.google.com/o/oauth2/v2/auth
          scopes:
            https://www.googleapis.com/auth/userinfo.email: View your email address

````